let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const updateProjectApi = async (projectId: string, thumbnail?: string, projectName?: string) => {
    const body: any = { projectId };

    if (projectName) body.projectName = projectName;
    if (thumbnail) body.thumbnail = thumbnail;

    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/V1/Projects/${projectId}`, {
            method: "PATCH",
            headers: {
                Authorization: "Bearer <access_token>",
                "Content-Type": "application/json",
                token: localStorage.getItem("token") || "",
                refresh_token: localStorage.getItem("refreshToken") || "",
            },
            body: JSON.stringify(body),
        });

        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            localStorage.setItem("token", newAccessToken);
        }
        if (!response.ok) {
            console.error("Failed to update project");
        }

        const result = await response.json();
        return result;
    } catch {
        console.log("Failed to update project");
    }
};
